# Source code for azure.mgmt.apimanagement.models.pipeline_diagnostic_settings_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class PipelineDiagnosticSettings(Model):
        """Diagnostic settings for incoming/outgoing HTTP messages to the Gateway.

        :param request: Diagnostic settings for request.
        :type request: ~azure.mgmt.apimanagement.models.HttpMessageDiagnostic
        :param response: Diagnostic settings for response.
        :type response: ~azure.mgmt.apimanagement.models.HttpMessageDiagnostic
        """

        _attribute_map = {
            'request': {'key': 'request', 'type': 'HttpMessageDiagnostic'},
            'response': {'key': 'response', 'type': 'HttpMessageDiagnostic'},
        }

        def __init__(self, *, request=None, response=None, **kwargs) -> None:
            super(PipelineDiagnosticSettings, self).__init__(**kwargs)
            self.request = request
            self.response = response